al_register_bitmap_loader_f(3)

NAME

al_register_bitmap_loader_f - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_register_bitmap_loader_f(const char *extension,
       ALLEGRO_BITMAP *(*fs_loader)(ALLEGRO_FILE *fp, int flags))

DESCRIPTION

Register a handler for al_load_bitmap_f(3). The given function will be used to handle the loading of bitmaps files with the given extension.

The extension should include the leading dot ('.') character. It will be matched case-insensitively.

The fs_loader argument may be NULL to unregister an entry.

Returns true on success, false on error. Returns false if unregistering an entry that doesn't exist.

SEE ALSO

al_register_bitmap_loader(3)